//导入组件
import ajInput from "./ajInput.vue";
import ajButton from "./ajButton.vue";

const components = [ajInput,ajButton];
const install = function(Vue){
    if(install.installed) return;
    install.installed = true;

    //遍历components数组，依次注册每个组件
    components.map(component =>{
        Vue.component(component.name,component);
    })
}

if(typeof window !== 'undefined' && window.Vue){
    install(window.Vue);
}

export default{
    install,
    ...components //将插件暴露出去，这样可以按需引入
}


// 如果只需要部分组件，请使用import {button} from '';
// Vue.component(Button)的语法手动注册组件
// 这样便可以实现按需引入
